/*
 * Copyright (C) 2002-2003 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.scrap;

import java.util.Observable;

import com.kiwisoft.utils.NotifyObject;
import com.kiwisoft.utils.StringUtils;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.1 $, $Date: 2004/10/16 18:21:38 $
 */
public class Scrap extends Observable
{
	public static final String SCRAP="scrap";
	public static final String NAME="name";
	public static final String TEXT="text";

    private String text;
    private String name;

    public Scrap(String name)
    {
        this.name=name;
    }

    public Scrap(String name, Scrap scrap)
    {
        this.name=name;
        this.text=StringUtils.trim(scrap.getText());
    }

	public Scrap(String name, String scrap)
	{
		this.name=name;
		this.text=scrap;
	}

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name=name;
        setChanged();
        notifyObservers(new NotifyObject("name changed"));
    }

    public String getText()
    {
        return text;
    }

    public void setText(String statement)
    {
        this.text=statement;
    }
}
